Investar - Installation
Name: Investar 6.1
Version: 6.1.0.6445 ( View New Features and Bug Fixes)
Platforms: Windows 10, Windows 8.1 / 8, Windows 7, Windows 2008 Server, Windows 2012 Server
Investar Install Prerequisites
  • Investar needs .Net Framework 4.6. If you don't have .Net Framework 4.6, don't worry you will be asked to install it when you run Investar Setup.
  • Minimum system requirement for Investar is Windows 7 with Service Pack 1.
  • For more details about system requirements of Investar Read This.